/*Estilos gerais para o contêiner de serviços */
#Serviços {
    padding-top: 8rem;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #000000bf;
}
/* Contêiner que envolve os itens do cards */
.serv-container {
    width: 100vw;
    height: 100vh;
}
.serv-title{
    color: white;
    font-size: 3vw;
    font-weight: 500;
    text-align: center;
    margin-top:1rem ;
}
/* Estilos para os itens do cards*/
.carts {
    width: 100vw;
    height: 100vh; /* Alteramos a altura para se ajustar ao conteúdo */
    display: flex;
    justify-content: center;
    gap: 3rem;
    flex-wrap: wrap;
    padding: 50px;
    color: white;
}
.cart-item {
    background-color: rgb(43, 43, 43);
    width: 250px;
    height: 190px;
    padding: 10px;
    border-radius: 15px;
    cursor: pointer;
}
.cart-item:hover{
    border: 2px solid gray;
    transition: all 500ms ease-in-out;
    transform: scale(1.05);
}
.conteudo{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    gap: 1rem;
}
.conteudo i{
    font-size: 2.5vw;
}
.cart-title {
    font-size: 1.5vw;
}
.conteudo p{
    font-size: 0.90vw;
}
@media screen and (max-width:399px) {
    #Serviços{
        margin-bottom: 3rem;
    }
    .carts {
        column-gap: 1rem;
        padding: 40px; 
    }
    .cart-item {
        width: 100px; 
        height: 100px;
    }
    .cart-item:hover{
        transition: none;
        transform: none;
    }
    .serv-title {
        font-size: 4vw; /* Ajustamos o tamanho da fonte para telas menores */
        margin-bottom: 1.5rem;
    }
}
@media (min-width:400px) and (max-width: 416px) {
    #Serviços{
        margin-bottom: 3rem;
    }
    .carts {
        column-gap: 2rem; 
    }
    .cart-item:hover{
        transition: none;
        transform: none;
    }
    .cart-item {
        width: 110px; 
        height: 110px;
    }
    .serv-title {
        font-size: 3vw; /* Ajustamos o tamanho da fonte para telas menores */
        margin-bottom: 1.5rem;
    }
}
@media (min-width:417px) and (max-width: 900px) {
    #Serviços{
        margin-bottom: 3rem;
    }
    .cart-item:hover{
        transition: none;
        transform: none;
    }
    .cart-item:hover{
        transition: none;
        transform: none;
    }
    .carts {
        column-gap: 1rem; 
        padding: 10px;
    }
    .cart-item {
        width: 160px; 
        height: 160px;
    }
    .serv-title {
        font-size: 3vw; /* Ajustamos o tamanho da fonte para telas menores */
        margin-bottom: 1.5rem;
    }
}

@media (min-width:901px) and (max-width: 1200px) {
    .carts {
       column-gap:0.5rem; 
    }
    .cart-item {
        width: 250px; 
        height: 200px;
    }
    .serv-title {
        font-size: 3vw;
        margin-bottom: 1.5rem; /* Ajustamos o tamanho da fonte para telas menores */
    }
}
